curl --request GET \
--url https://api.baselayer.com/businesses/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/businesses/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/businesses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Levine-Santos",
"url": "https://api.baselayer.com/businesses/9083e7e2-1f6b-11ef-8f0f-1edb1b067314",
"console_url": "https://console.baselayer.com/business/9083e7e2-1f6b-11ef-8f0f-1edb1b067314",
"address": "63788 Paige Lane Cooperfurt, MI 10037",
"structure": "C_CORPORATION",
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"street": "913 Hendrix Gardens Suite 492",
"city": "Jasonfurt",
"state": "VA",
"zip": "19773",
"latitude": 38.03012,
"longitude": 78.47665,
"rdi": "Commercial",
"deliverable": false,
"cmra": false,
"url": "<string>",
"delivery_type": "STREET",
"sources": [
"SOS",
"Online"
]
}
],
"phone_numbers": [
"251-829-8026"
],
"email": "kathleenholmes@example.com",
"website": "http://www.cruz-adkins.net/",
"social_profiles": {
"confidence": null,
"found_on": [],
"metadata": null,
"site": "twitter",
"url": "https://twitter.com/michelle98",
"username": "michelle98"
},
"reviews": [
{
"url": "https://www.yelp.com/biz/certified-power-inc-mundelein",
"source": "yelp",
"confidence": "high",
"rating": 4.5,
"volume": 23,
"summary": "5 reviews mention that the service was great and the owner was very helpful.",
"phone_number": "+12125551234",
"address": "123 Main St, Anytown, USA",
"business_website": "https://www.example.com",
"reviews": [
{
"username": "John Doe",
"text": "This is a great review!",
"date": "2024-01-01",
"rating": 5
}
],
"metadata": {
"open_state": "Open",
"operating_hours": {},
"description": "<string>",
"types": [
"Restaurant",
"Italian restaurant"
],
"service_options": {}
}
}
],
"directory_listings": [
{
"source": "bbb.org",
"url": "https://www.bbb.org/us/ca/modesto/profile/plumber/joes-plumbing-1234",
"category": "Plumbing Contractor",
"business_name": "Joe's Plumbing & Heating",
"phone_number": "<string>",
"email": "<string>",
"business_website": "<string>",
"address": "<string>",
"people": [
{
"name": "<string>",
"title": "<string>"
}
]
}
],
"ein": "871888915",
"incorporation_state": "HI",
"incorporation_date": "2011-11-27",
"months_in_business": 256,
"primary_address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"street": "913 Hendrix Gardens Suite 492",
"city": "Jasonfurt",
"state": "VA",
"zip": "19773",
"latitude": 38.03012,
"longitude": 78.47665,
"rdi": "Commercial",
"deliverable": false,
"cmra": false,
"url": "<string>",
"delivery_type": "STREET"
},
"alternative_names": [
"Ramos, Garcia and Good"
],
"registrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Garcia, Hernandez and Woods",
"file_number": "867124",
"state": "AZ",
"status": "active",
"issue_date": "2024-01-01",
"inactive_date": "2024-06-01",
"dissolution_date": "2024-06-01",
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"street": "913 Hendrix Gardens Suite 492",
"city": "Jasonfurt",
"state": "VA",
"zip": "19773",
"latitude": 38.03012,
"longitude": 78.47665,
"rdi": "Commercial",
"deliverable": false,
"cmra": false,
"url": "<string>",
"delivery_type": "STREET"
},
"registration_type": "domestic",
"standing": "In Good Standing",
"registered_agent": {
"name": "Jeremy Crawford",
"address": {
"city": "Andrewton",
"cmra": false,
"deliverable": false,
"delivery_type": null,
"id": "ab237e72-7053-439d-ae5e-edbac59bf7cb",
"latitude": 34.0522,
"longitude": -118.2437,
"rdi": null,
"state": "CA",
"street": "3032 Mark Parks Andrewton, CA 27458",
"url": null,
"zip": "27458"
}
},
"officers": []
}
],
"business_officers": [
{
"name": "Philip Mcguire",
"titles": [
"CEO",
"Founder"
],
"states": [
"CA",
"NY"
],
"sources": [
"SOS",
"Online"
]
}
],
"predicted_naics": [],
"watchlist_hits": [],
"sec_registrations": [],
"revenue": null,
"phone_number": "955-714-3269"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Business
Retrieve a business by its UUID.
Authorizations
Path Parameters
The unique identifier of the business to retrieve.
"412a49b5-7466-426b-bf1e-081b00b54576"
"9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5"
Response
Response
Response model for business data.
This model defines the complete structure for business-related API responses.
Unique identifier for the business.
The name of the business, determined by the name found on the domestic registration.
"Levine-Santos"
The URL to the business details.
1 - 2083"https://api.baselayer.com/businesses/9083e7e2-1f6b-11ef-8f0f-1edb1b067314"
The URL to the business details in the console.
1 - 2083"https://console.baselayer.com/business/9083e7e2-1f6b-11ef-8f0f-1edb1b067314"
The primary address associated with the business entity.
"63788 Paige Lane Cooperfurt, MI 10037"
The structure of the business.
SOLE_PROPRIETORSHIP, GENERAL_PARTNERSHIP, LLC, LLP, LLLP, LP, C_CORPORATION, S_CORPORATION, B_CORPORATION, NONPROFIT, COOPERATIVE, TRUST, PROFESSIONAL_ASSOCIATION, PROFESSIONAL_CORPORATION, TRADE_NAME, BANK, CREDIT_UNION, INSURANCE, OTHER "C_CORPORATION"
All addresses found associated with this business entity.
Show child attributes
Show child attributes
All phone numbers found associated with this business entity.
["251-829-8026"]
The main email found associated with this business entity.
"kathleenholmes@example.com"
The website found associated with this business entity.
"http://www.cruz-adkins.net/"
The list of social media profiles potentially associated with this business entity that were identified by searching the web.
Show child attributes
Show child attributes
{
"confidence": null,
"found_on": [],
"metadata": null,
"site": "twitter",
"url": "https://twitter.com/michelle98",
"username": "michelle98"
}
The list of customer reviews potentially associated with this business entity that were identified by searching the web.
Show child attributes
Show child attributes
Directory listings (BBB, Yelp, etc.) discovered during website analysis, including business category, contact info, and address.
Show child attributes
Show child attributes
The EIN/TIN found associated with this business entity.
"871888915"
The state in which the business first incorporated.
AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY, PR, VI, AE, AA, AP, GU, AS "HI"
The date when the business first incorporated.
"2011-11-27"
The number of months elapsed since the incorporation date.
256
The primary address associated with the business entity.
Show child attributes
Show child attributes
A list of alternative names (e.g. DBAs) found associated with the business entity.
["Ramos, Garcia and Good"]
The corporate registrations associated with the business entity.
Show child attributes
Show child attributes
The officers associated with the business entity.
Show child attributes
Show child attributes
The predicted NAICS code(s) for the business entity.
Show child attributes
Show child attributes
The watchlist hits associated with the business entity.
Show child attributes
Show child attributes
SEC EDGAR registrations linked to this business. Empty when no SEC registration is linked.
Show child attributes
Show child attributes
Indicates that there is no recent revenue data available for the business.
The primary phone number found associated with the business.
"955-714-3269"